import QueryPredicateTreeProvider, { GabbyQueryProtocolContext } from "./context";
import { useProjectionSubjects, useProjectionSubjectProperties, useJunctionProperties, usePredicateProperties } from "./hooks";
import type { TGabbyQueryProtocolContextType } from "./context";
import type { TPredicateOperatorLabels } from "./type";
export default QueryPredicateTreeProvider;
export { GabbyQueryProtocolContext, useProjectionSubjects, useProjectionSubjectProperties, useJunctionProperties, usePredicateProperties, };
export type { TGabbyQueryProtocolContextType };
import { PredicateTree, PredicateSubjectDictionary } from "gabby-query-protocol-lib";
import type { TPredicateJunctionOperator, TPredicateNode, TPredicateProperties, TPredicatePropertiesArrayValue, TPredicateSubjectWithId, TSerializedPredicateTree, TValueLabelList } from "gabby-query-protocol-lib";
export type { TPredicateJunctionOperator, TPredicateNode, TPredicateOperatorLabels, TPredicateProperties, TPredicatePropertiesArrayValue, TPredicateSubjectWithId, TSerializedPredicateTree, TValueLabelList, };
export { PredicateTree, PredicateSubjectDictionary, };
