"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Validators = exports.useProjectionSubjects = exports.useProjectionSubjectProperties = exports.usePredicateProperties = exports.useJunctionProperties = exports.PredicateTreeVisitors = exports.PredicateTreeError = exports.PredicateTree = exports.PredicateFormulaEditor = exports.GabbyQueryProtocolContextProvider = exports.GabbyQueryProtocolContext = exports.GabbyAssetFactory = exports.EXAMPLE_JSON_BLUE_SKIES = exports.CONSTS = void 0;
var gabby_query_protocol_lib_1 = require("gabby-query-protocol-lib");
Object.defineProperty(exports, "PredicateFormulaEditor", { enumerable: true, get: function () { return gabby_query_protocol_lib_1.PredicateFormulaEditor; } });
Object.defineProperty(exports, "PredicateTree", { enumerable: true, get: function () { return gabby_query_protocol_lib_1.PredicateTree; } });
Object.defineProperty(exports, "PredicateTreeError", { enumerable: true, get: function () { return gabby_query_protocol_lib_1.PredicateTreeError; } });
var validators_1 = require("gabby-query-protocol-lib/dist/validators");
Object.defineProperty(exports, "Validators", { enumerable: true, get: function () { return validators_1.Validators; } });
var TreeVisitors_1 = require("gabby-query-protocol-lib/dist/Predicates/TreeVisitors");
Object.defineProperty(exports, "PredicateTreeVisitors", { enumerable: true, get: function () { return TreeVisitors_1.TreeVisitors; } });
var gabby_query_protocol_projection_1 = require("gabby-query-protocol-projection");
var GabbyQueryProtocolContext_1 = __importStar(require("./GabbyQueryProtocolContext"));
exports.GabbyQueryProtocolContextProvider = GabbyQueryProtocolContext_1.default;
Object.defineProperty(exports, "GabbyQueryProtocolContext", { enumerable: true, get: function () { return GabbyQueryProtocolContext_1.GabbyQueryProtocolContext; } });
Object.defineProperty(exports, "useJunctionProperties", { enumerable: true, get: function () { return GabbyQueryProtocolContext_1.useJunctionProperties; } });
Object.defineProperty(exports, "usePredicateProperties", { enumerable: true, get: function () { return GabbyQueryProtocolContext_1.usePredicateProperties; } });
Object.defineProperty(exports, "useProjectionSubjectProperties", { enumerable: true, get: function () { return GabbyQueryProtocolContext_1.useProjectionSubjectProperties; } });
Object.defineProperty(exports, "useProjectionSubjects", { enumerable: true, get: function () { return GabbyQueryProtocolContext_1.useProjectionSubjects; } });
var GabbyAssetFactory_1 = require("./GabbyAssetFactory");
Object.defineProperty(exports, "GabbyAssetFactory", { enumerable: true, get: function () { return GabbyAssetFactory_1.GabbyAssetFactory; } });
var defaultOpLabels_1 = require("./defaultOpLabels");
// Lib/Projection should never conflict.  Some day in the future there
// maybe a gabby-common package that includes these consts
var CONSTS = __assign(__assign(__assign({}, gabby_query_protocol_lib_1.CONSTS), gabby_query_protocol_projection_1.CONSTS), { DEFAULT_OPERATOR_LABELS: defaultOpLabels_1.defaultOperatorLabels });
exports.CONSTS = CONSTS;
var EXAMPLE_JSON_BLUE_SKIES = {
    LIB: gabby_query_protocol_lib_1.EXAMPLE_JSON_BLUE_SKIES,
    PROJECTION: gabby_query_protocol_projection_1.EXAMPLE_JSON_BLUE_SKIES,
};
exports.EXAMPLE_JSON_BLUE_SKIES = EXAMPLE_JSON_BLUE_SKIES;
//# sourceMappingURL=index.js.map